* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.bg {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url(../img/background.jpg) no-repeat;
    background-size: cover;
    background-position: center;
}

.image-grid {
    --gap: 16px;
    --num-cols: 4;
    --row-height: 300px;

    box-sizing: border-box;
    padding: var(--gap);

    display: grid;
    grid-template-columns: repeat(var(--num-cols), 1fr);
    grid-auto-rows: var(--row-height);
    gap: var(--gap);
}

.image-grid>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image-grid-col-2 {
    grid-column: span 2;
}

.image-grid-row-2 {
    grid-row: span 2;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
    position: absolute;
    width: 100%;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
}

.logo {
    font-size: 24px;
    font-weight: bold;
    color: white;
    /* Change the color as needed */
}

.nav-buttons {
    display: flex;
    gap: 29px;
}

.nav-button {
    text-decoration: none;
    color: white;
    /* Change the color as needed */
    font-weight: bold;
    font-size: 16px;
    padding: 10px 15px;
    position: relative;
    transition: background-color 0.3s ease;
}

.nav-button::after {
    content: '';
    position: absolute;
    top: -15px;
    left: -15px;
    right: -15px;
    bottom: -15px;
    background-color: rgba(255, 255, 255, 0);
    transition: background-color 0.3s ease;
}

.nav-button:hover {
    color: white;
}

.nav-button:hover::after {
    background-color: rgba(255, 255, 255, 0.1);
}


/* Anything udner 1024px */
@media screen and (max-width: 1024px) {
    .image-grid {
        --num-cols: 2;
        --row-height: 200px;
    }
}


.title-area {
    text-align: center;
    margin-bottom: 30px;
}

.title-area.loading {
    margin-bottom: 0px;
}

.title {
    font-size: 36px;
    font-weight: bold;
}

.subtitle {
    display: block;
    margin-top: 20px;
}

.toggle-switch {
    display: table;
}

.check-text {
    display: table-cell;
    vertical-align: middle;
}

.back-button {
    float: left;
    color: #fff;
    text-align: center;
    margin-top: 13px;
}

.wrapper {
    margin: 100px 0px 30px 0px;
    width: 620px;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(9px);
    color: #fff;
    border-radius: 12px;
    padding: 30px 40px;
}

.wrapper h1 {
    font-size: 36px;
    text-align: center;
}

.wrapper .input-box {
    position: relative;
    width: 100%;
    margin: 10px 0 0 0;
}

.input-box input,
.input-box textarea {
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    border: 2px solid rgba(255, 255, 255, .2);
    border-radius: 15px;
    font-size: 16px;
    color: #fff;
    padding: 20px 45px 20px 20px;
}

.input-box input::placeholder {
    color: rgba(255, 255, 255, .5);
}

.input-box i {
    position: absolute;
    right: 20px;
    top: 30%;
    transform: translate(-50%);
    font-size: 20px;

}

.wrapper .btn {
    width: 100%;
    height: 45px;
    background: #fff;
    border: none;
    outline: none;
    border-radius: 40px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
    cursor: pointer;
    font-size: 16px;
    color: #333;
    font-weight: 600;
}

.wrapper .btn.disabled {
    background: #f5f5f5;
    color: #333;
    cursor: not-allowed;
}

.wrapper .btn:hover {
    background: #f5f5f5;
}

.wrapper .btn.result {
    width: 200px;
}

.wrapper .button-area {
    margin-top: 35px;
    display: flex;
    justify-content: space-evenly;
}

.title-area-galeri {
    text-align: left;
}

.title-galeri {
    font-size: 36px;
    font-weight: bold;
    text-align: left;
}

.wrapper-galeri {
    width: 80%;
    margin: 100px auto 0;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(9px);
    color: #fff;
    padding: 30px 30px;
}

.image-type.anime {
    background: url('../img/anime.jpeg') no-repeat;
}

.image-type.pastel {
    background: url('../img/pastel.jpeg') no-repeat;
}

.image-type.realistic {
    background: url('../img/realistic.jpeg') no-repeat;
}

.radio-type {
    margin-top: 20px;
    text-align: center;
}

.button-negative {
    color: #fff;
}

.button-negative:hover {
    color: #f5f5f5;
}

.switch {
    vertical-align: middle;
    position: relative;
    display: inline-block;
    width: 50px;
    height: 25px;
    margin: 0 10px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
    border-radius: 25px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 21px;
    width: 21px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}

input:checked+.slider {
    background-color: #13254c;
}

input:checked+.slider:before {
    transform: translateX(26px);
}

.slider:before {
    position: absolute;
    content: "";
    height: 21px;
    width: 21px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}


.result-img {
    border-radius: 50px;
    padding: 15px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 70%;
}

.loading-img {
    border-radius: 50px;
    padding: 15px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}

.loading-text {
    text-align: center;
    margin-top: 20px;
    font-size: 16px;
    font-style: italic;
    text-shadow: 1px 2px 2px black;
}

input[type="radio"] {
    display: none;
}

label.image-type {
    margin: 0px 10px 10px 0px;
    position: relative;
    align-items: center;
    color: #fff;
    font-family: "Poppins", sans-serif;
    cursor: pointer;
    display: inline-flex;
    gap: 0.8em;
    border: 3px solid #fff;
    padding: 1em 1.6em;
    border-radius: 0.5em;
    height: 166px;
    width: 150px;
    text-shadow: 1px 1px 2px black;
}

label.scale {
    margin-right: 14px;
    position: relative;
    align-items: center;
    color: #fff;
    font-family: "Poppins", sans-serif;
    cursor: pointer;
    display: inline-flex;
    gap: 0.8em;
    border: 3px solid #fff;
    padding: 1em 1.8em;
    border-radius: 0.5em;
    margin-top: 5px;
}


.radio-type :checked+label {
    filter: grayscale(1);
    border-color: #e2e2e2;
    transform: scale(0.9);
    box-shadow: 0 0 5px #333;
    z-index: -1;
}

.radio-ratio :checked+label {
    background-color: white;
    z-index: -1;
    color: #061128;
}

label:before.radio {
    content: "";
    height: 0.8em;
    width: 0.8em;
    border: 3px solid #fff;
    border-radius: 50%;
}

input[type="radio"]:checked+label:before {
    height: 0.5em;
    width: 0.5em;
    border: 0.35em solid #a3a3a3;
    background-color: #333;
}

::-webkit-scrollbar {
    width: 15px;
}

::-webkit-scrollbar-track {
    background: #13254c;
}

::-webkit-scrollbar-thumb {
    background: #061128
}

.image-link {
    position: relative;
    display: inline-block;
    overflow: hidden;
    border-radius: 5px;
}

.image-detail {
    position: absolute;
    padding: 15px;
    height: 80px;
    bottom: 0;
}

.image-detail.community {
    height: 70px;
}

.image-detail .prompt {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    color: white;
    text-shadow: 1px 1px 2px black;
    opacity: 0;
    transition: 0.3s;
}

.image-detail .prompt.community {
    -webkit-line-clamp: 1;
}

.image-link:hover .prompt {
    opacity: 1;
}


.hover-zoom {
    transition: transform 0.3s, box-shadow 0.3s, filter 0.3s;
}



.hover-zoom:hover {
    transform: scale(1.05);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    filter: brightness(70%);
    /* Apply brightness filter to darken the image */
}

.row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 4px;
  }

  /* Create four equal columns that sits next to each other */
  .column {
    flex: 25%;
    max-width: 25%;
    padding: 0 4px;
  }

  .column img {
    margin-top: 8px;
    vertical-align: middle;
    width: 100%;
  }

  /* Responsive layout - makes a two column-layout instead of four columns */
  @media screen and (max-width: 800px) {
    .column {
      flex: 50%;
      max-width: 50%;
    }
  }

  /* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
  @media screen and (max-width: 600px) {
    .column {
      flex: 100%;
      max-width: 100%;
    }
  }

/* PROFILE */
.dropdown-menu {
    right: 0;
    left: unset;
    background-color: rgb(57 71 82 / 90%);
    backdrop-filter: blur(10px);
}

.dropdown-menu span,
.dropdown-menu i {
    color: white;
}

.dropdown-item:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.dropdown-toggle {
    text-decoration: none;
    color: white;
}

.dropdown-toggle:hover {
    color: rgb(226, 226, 226);
}

.profile-menu .fa-fw {
    margin-right: 10px;
}

.toggle-change::after {
    border-top: 0;
    border-bottom: 0.3em solid;
}

.profile-button {
    list-style: none;
    color: white;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
}

.blur {
    filter: blur(30px);
}
